Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Svc_Conf.h File Reference

`#include "ace/pre.h"`
`#include "ace/Obstack.h"`
`#include "ace/Service_Config.h"`
`#include "ace/Parse_Node.h"`
`#include "ace/post.h"`

Include dependency graph for Svc_Conf.h:

This graph shows which files directly or indirectly include this file:

## Compounds
union | ACE_YYSTYPE
## Defines
#define | ACE_YY_DECL extern "C" int ace_yylex (ACE_YYSTYPE *ace_yylval)
## Functions
void | ace_yy_push_buffer (FILE *file)
| Create and push a new lexer buffer on to the buffer stack for use when scanning the given file.
void | ace_yy_push_buffer (const ACE_TCHAR *directive)
| Create and push a new lexer buffer on to the buffer stack for use when scanning the given directive.
void | ace_yy_pop_buffer (void)
| Pop the current lexer buffer off of the buffer stack and deallocate it.
int | ace_yyparse (void)
void | ace_yyerror (const ACE_TCHAR *)
ACE_Service_Type_Impl* | ace_create_service_type (const ACE_TCHAR *, int, void *, unsigned int, ACE_Service_Object_Exterminator = 0)
## Variables
const int | ACE_SERVICE_DIRECTIVE_STACK_DEPTH = 8
| Maximum depth allowed when processing nested Service Configurator directives.
FILE* | ace_yyin = (FILE *) 0
int | ace_yylineno = 1
ACE_TCHAR* | ace_yytext
int | ace_yyleng
ACE_Obstack_T<ACE_TCHAR>* | ace_obstack = 0

## Detailed Description

Svc_Conf.h,v 4.28 2001/08/01 00:00:21 othman Exp

Author(s):
  Doug Schmidt

## Define Documentation

ACE_YY_DECL extern "C" int ace_yylex (ACE_YYSTYPE *ace_yylval)

## Function Documentation

ACE_Service_Type_Impl* ace_create_service_type ( | const ACE_TCHAR *,
| int,
| void *,
| unsigned int,
| ACE_Service_Object_Exterminator = 0 )

void ace_yy_pop_buffer ( | void )

| Pop the current lexer buffer off of the buffer stack and deallocate it.

void ace_yy_push_buffer ( | const ACE_TCHAR * directive )

| Create and push a new lexer buffer on to the buffer stack for use when scanning the given directive.

void ace_yy_push_buffer ( | FILE * file )

| Create and push a new lexer buffer on to the buffer stack for use when scanning the given file.

void ace_yyerror ( | const ACE_TCHAR * )

int ace_yyparse ( | void )

## Variable Documentation

const int ACE_SERVICE_DIRECTIVE_STACK_DEPTH = 8

| Maximum depth allowed when processing nested Service Configurator directives.

ACE_Obstack_T< ACE_TCHAR >* ace_obstack = 0

FILE * ace_yyin = (FILE *) 0

int ace_yyleng

const char *get_rcsid_ace _ int ace_yylineno = 1`[inline]`

ACE_TCHAR * ace_yytext